LibreOffice: AccessibleImageBullet Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
AccessibleImageBullet Service Reference

The accessible view of an image bullet. More...

Inheritance diagram for AccessibleImageBullet:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessibleContext
| This interface gives access to an image bullet within a text paragraph fragment that is at least partially visible on the screen.
interface | ::com::sun::star::accessibility::XAccessibleComponent
| This interface describes the graphical representation of an image bullet.

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
hyper | getAccessibleChildCount ()
| Return the number of children.
XAccessible | getAccessibleChild ([in] hyper i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object.
XAccessible | getAccessibleParent ()
| Returns the parent of this object.
hyper | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent.
short | getAccessibleRole ()
| Returns the role of this object.
string | getAccessibleDescription ()
| Returns the object's description.
string | getAccessibleName ()
| Return the object's localized name.
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object.
hyper | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object.
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds.
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point.
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object.
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent.
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates.
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box.
void | grabFocus ()
| Grabs the focus to this object.
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object.
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object.

## Detailed Description

The accessible view of an image bullet.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::accessibility::XAccessibleComponent

interface ::com::sun::star::accessibility::XAccessibleComponent

This interface describes the graphical representation of an image bullet.

## ◆ ::com::sun::star::accessibility::XAccessibleContext

interface ::com::sun::star::accessibility::XAccessibleContext

This interface gives access to an image bullet within a text paragraph fragment that is at least partially visible on the screen.

- The parent returned by com::sun::star::accessibility::XAccessibleContext::getAccessibleParent() is the accessible object of a text paragraph.
- There are no children returned by com::sun::star::accessibility::XAccessibleContext::getAccessibleChild().
- The role is com::sun::star::accessibility::AccessibleRole::GRAPHIC.
- The name is "image bullet" (or the equivalent term in application's language).
- The description contains the term "image bullet" (or the equivalent term in application's language) and the number of the paragraph within this bullet appears.
- There are no relations.
- The following states are supported by the accessible state bitset returned by com::sun::star::accessibility::XAccessibleContext::getAccessibleStateSet().
  - com::sun::star::accessibility::AccessibleStateType::DEFUNC (indicates that the document window has been closed or the image bullet is not existing any longer).
  - com::sun::star::accessibility::AccessibleStateType::ENABLED (always contained)
  - com::sun::star::accessibility::AccessibleStateType::SHOWING
  - com::sun::star::accessibility::AccessibleStateType::VISIBLE
  - com::sun::star::accessibility::AccessibleStateType::INVALID

The documentation for this service was generated from the following file:

- com/sun/star/drawing/AccessibleImageBullet.idl